Bug 32031 - Can't create "http" connector for an Embedded tomcat
Can't create "http" connector for an Embedded tomcat
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.4
Other other
: P3 critical (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-11-02 21:29 UTC by Youcef HILEM
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Youcef HILEM 2004-11-02 21:29:22 UTC
Embedded embedded = ...
...
embedded.createConnector((InetAddress)null, 8080, false);

This last call logs this message : Couldn't create connector.

It seems that the method :
   public Connector createConnector(String address, int port, String protocol)
return always null when the protocol is "http".
Comment 1 Youcef HILEM 2004-11-02 22:19:48 UTC
I Have fixed the bug like this :

....
if (protocol.equals("ajp")) {
    connector = new Connector("org.apache.jk.server.JkCoyoteHandler");
} else if (protocol.equals("memory")) {
    connector = new Connector
("org.apache.coyote.memory.MemoryProtocolHandler");
} else {
    connector = new Connector();
    if (protocol.equals("https")) {
       connector.setScheme("https");
       connector.setSecure(true);
       // FIXME !!!! SET SSL PROPERTIES
     }
}
....
Comment 2 Remy Maucherat 2004-11-03 12:02:59 UTC
Those calls are not very useful IMO, but it's now fixed.